=== debian/changelog ===
nedit (1:5.6~cvs20081118-8) unstable; urgency=low

  [ Jari Aalto ]
  * Removed deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664439).
  * Standards-Version bumped to 3.9.4 (no changes needed).
  * Updated debhelper to 9 due to moving rules to dh(1) format. The dh(1)
    format makes it possible to utilize hardened build flags easily in the
    build process.
  * Added ${misc:Depends} to control files (Lintian).
  * Removed 80_Update_version_description.patch and moved version update
    to rules file. The version string cannot be set from a patch because it is
    modified during the build dynamically from the current date.
    (Closes: #694644)
  * Added 90_build_no_ask.patch to build unattended. CFLAGS
    option -DBUILD_UNTESTED_NEDIT would otherwise display
    "HIT ENTER TO CONTINUE" question.
  * Use hardened build flags; for this the sources also needed a new
    92_format_string.patch.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * Update d/copyright to the machine-readable format v1.0
  * Remove spurious whitespaces from debian files

  [ Paul Gevers ]
  * Update my e-mail address
  * Remove 70_EditVersionText.dpatch as the current version of the library
    is not known-bad
  * Add Vcs-* fields to d/control
  * Set package to Multi-arch: foreign
  * Remove build-depends on libxp-dev (Closes: #623662)
  * Build against libmotif-dev instead of lesstif2-dev now it finaly entered
    main (should get rid of quite some old bugs).
  * Create all CFLAGS in d/rules, thus 20_ChangeFlagsLinuxMakefile.patch is
    obsolete. Now build with BUILD_UNTESTED_NEDIT and HAVE__XMVERSIONSTRING, and
    without USE_DIRENT and USE_LPR_PRINT_CMD. The later means the default for
    the print command is now lp i.s.o. lpr.

 -- Paul Gevers <elbrus@debian.org>  Mon, 27 May 2013 21:22:21 +0200

nedit (1:5.6~cvs20081118-7) unstable; urgency=low

  * Fixed the debian/rules to really create the debugging package
    (Closes: #549328)

 -- Paul Gevers <paul@climbing.nl>  Mon, 05 Oct 2009 21:13:54 +0200

nedit (1:5.6~cvs20081118-6) unstable; urgency=low

  * Standards-Version bumped to 3.8.3 (no changes needed)
  * Created debugging symbols package
  * Added 10_EOF_Parser_error.dpatch created from upstream cvs
    to fix a parser error (upstream bug 2687525)
  * Added 30_off_by_one.dpatch created from upstream cvs to fix for
    off-by-one error, potentially causing a crash (upstream bug 2858723)
  * Added 40_Pointer_to_Integer.dpatch to fix compiler warning on 64 bit
    (from upstream bug 2846694)
  * Added 80_Update_version_description.dpatch to create a version
    string reflecting the real version, i.e. a cvs checkout of 5.6.
  * Updated patches to comply with DEP3 format for patches.

 -- Paul Gevers <paul@climbing.nl>  Mon, 28 Sep 2009 18:21:01 +0200

nedit (1:5.6~cvs20081118-5) unstable; urgency=low

  * Apply 70_EditVersionText.dpatch and slightly improved the text.

 -- Paul Gevers <paul@climbing.nl>  Fri, 08 May 2009 20:18:58 +0200

nedit (1:5.6~cvs20081118-4) UNRELEASED; urgency=low

  * Upload to unstable.
  * Standards-Version bumped to 3.8.1 (no changes needed)
  * Bumped build-depends on lesstif2-dev to >= 1:0.95.0-2.3 because
    of crashing bug in previous versions.
  * Improved debian/nedit.desktop, proper use of fields, and now
    also install it.
  * Added 70_EditVersionText.dpatch to improve the text shown on
    "nedit -version" and remove the warning about a bad lesstif.

 -- Paul Gevers <paul@climbing.nl>  Tue, 05 May 2009 21:50:55 +0200

nedit (1:5.6~cvs20081118-3) experimental; urgency=low

  * Removed source/nedit-nc in debian/rules clean target because
    nedit fails to build twice
  * Reference to GLP-2 in debian/copyright instead of GPL (Lintian
    pedantic warning copyright-refers-to-symlink-license)
  * Use "set -e" in debian/postinst and debian/prerm instead of
    setting it on the #! line (Policy 10.4)

 -- Paul Gevers <paul@climbing.nl>  Thu, 12 Feb 2009 20:14:01 +0100

nedit (1:5.6~cvs20081118-2) UNRELEASED; urgency=low

  * Removed patch 01_CleanupLinks and remove the symlinks directly
    in debian/rules (fails to build twice in a row otherwise).

 -- Paul Gevers <paul@climbing.nl>  Tue, 10 Feb 2009 21:31:15 +0100

nedit (1:5.6~cvs20081118-1) UNRELEASED; urgency=low

  * CVS checkout of 5.6 branch to experiment with upcoming release
  * New maintainer (Closes: 499316)
  * Adjusted short description (removed "A" at beginning)
  * Added patch system (dpatch)
  * Added debian/README.source
  * Checked original diff.gz changes (all implemented upstream or solved
    below)
  * Clean up of symlinks in Makefile clean rule (patch 01_CleanupLinks)
  * Added -DBUILD_BROKEN_NEDIT and -DBUILD_UNTESTED_NEDIT to CFLAGS in
    debian/rules and changed Makefile.linux to use it because LessTif2
    version in Debian is considered bugged by upstream
    (patch 20_ChangeFlagsLinuxMakefile)
  * Updated debian/rules to use dh_install
  * Removed doc/README.FAQ (not relevant)
  * Build man pages from pod source to change name of NC in Nedit-NC
    (patch 50_ChangeNCinMan)
  * Created debian/nedit.desktop file and install it

 -- Paul Gevers <paul@climbing.nl>  Mon, 02 Feb 2009 14:50:37 +0100

nedit (1:5.5-3) unstable; urgency=low

  * QA upload
  * Trigger relinking by uploading (Closes: 431973)
  * Standards-Version changed to 3.8.0 (necessary changes included below)
  * Added debian/watch file
  * Changed build-dependency x-dev (obsolete) to x11proto-core-dev
  * Changed build-dependency debhelper to > 5
  * Added debian/compat level 5
  * Removed DH_COMPAT line from debian/rules (handeled by debian/compat)
  * Added -Wall to CFLAGS in debian/rules to match debian-policy 10.1
  * Changed maintainers to QA and removed uploaders (package is orhaned, see
    bug #499316)
  * Added homepage to debian/control
  * Fixed doc-base-invalid-document-field lintian error by converting capitals
    in docid

