=== debian/control ===
Source: nedit
Section: editors
Priority: optional
Maintainer: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libmotif-dev,
               libx11-dev,
               libxt-dev,
               x11proto-core-dev,
               bison,
               perl
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nedit.git
Vcs-Git: git://anonscm.debian.org/collab-maint/nedit.git
Homepage: http://www.nedit.org/
Standards-Version: 3.9.4

Package: nedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: nedit-dmotif, nedit-smotif
Replaces: nedit-dmotif, nedit-smotif
Suggests: csh
Description: powerful, customizable, Motif based text editor
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text. Users of Macintosh and MS Windows based text
 editors will find NEdit a familiar and comfortable environment.

Package: nedit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: nedit (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for nedit
 NEdit is a multi-purpose text editor for the X Window System, which
 combines a standard, easy to use, graphical user interface with the
 thorough functionality and stability required by users who edit text
 eight hours a day. It provides intensive support for development in
 a wide variety of languages, text processors, and other tools, but
 at the same time can be used productively by just about anyone who
 needs to edit text. Users of Macintosh and MS Windows based text
 editors will find NEdit a familiar and comfortable environment.
 .
 This package contains the debugging symbols.
