## nedit 5.6

=== debian/changelog ===
nedit (1:5.6-1ubuntu1) vivid; urgency=medium

  * Add Recommends on xfonts-{100,75}dpi* to work around
    crash on startup on Ubuntu systems (LP: #1415309)

 -- Graham Inggs <graham@nerve.org.za>  Tue, 14 Apr 2015 16:26:05 +0200

nedit (1:5.6-1) experimental; urgency=medium

  * New upstream release (wow, after all this time)
  * Drop patches applied upstream and refresh the others
  * Add one new typo found by Lintian to fix_typo_in_help.patch
  * Bump Standards version (no changes)
  * Update Vcs-Browser to canonical location
  * Update Debian version string in documentation

 -- Paul Gevers <elbrus@debian.org>  Wed, 10 Dec 2014 20:08:06 +0100

nedit (1:5.6~cvs20081118-9) unstable; urgency=low

  [ Markus ]
  * Patch source/preferences.c for language mode setting when a file is loaded:
    Now first use the file extension and then look in its contents. The former
    order prevented correct language detection due to ambigous recognition
    patterns.
  * Add patch "ewmh-raise" to raise a (partially) hidden nedit window when
    opening a new file from nedit-nc.
  * Add patch "move tab by drag and drop" to be able to move tabs around
  * Patch source/window.c to allow multiple tab rows
  * Add a small patch to Microline/XmL/Folder.c to make longer parts of
    filenames visible on tabs when many files are open. TODO: Still more
    characters could be shown in the bottom row.
  * Improve desktop integration (nedit.desktop)

  [ Paul Gevers ]
  * Update description so it mentions that UTF-8 files are not supported to
    prevent wrong expectations.
  * Add d/NEWS to describe how to activate the multirow tabbing and the drag
    and drop feature

 -- Paul Gevers <elbrus@debian.org>  Thu, 01 May 2014 19:55:30 +0200
