=== debian/changelog ===
nedit (1:5.6a-3) unstable; urgency=medium

  * Still more repoducible build issues, documentation was containing
    the build date. Updated allow_reproducible_builds.patch
  * Update watch file to pick up the "weird" number we now have.

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Oct 2015 16:20:46 +0200

nedit (1:5.6a-2) unstable; urgency=medium

  * Upload to unstable
  * Previous fix for reproducible builds was not enough. Extending the
    patch

 -- Paul Gevers <elbrus@debian.org>  Mon, 27 Apr 2015 18:56:54 +0200

nedit (1:5.6a-1) experimental; urgency=medium

  * New upstream release
  * Add allow_reproducible_builds.patch to avoid __DATE__ and __TIME__
    macros
  * Update upstream website as they lost their domain
  * Recommends on x fonts (LP: #1415309)

 -- Paul Gevers <elbrus@debian.org>  Tue, 14 Apr 2015 22:01:01 +0200
