=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nedit
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Gevers <elbrus@debian.org>
+Maintainer: Paul Gevers <elbrus@debian.org>
 Build-Depends: debhelper (>= 9),
                libmotif-dev,
                libx11-dev,
@@ -12,16 +11,16 @@
                perl
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nedit.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/nedit.git
-Homepage: http://www.nedit.org/
+Homepage: http://sourceforge.net/projects/nedit/
 Standards-Version: 3.9.6
 
 Package: nedit
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
 Conflicts: nedit-dmotif, nedit-smotif
 Replaces: nedit-dmotif, nedit-smotif
-Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
 Suggests: csh
 Description: powerful, customizable, Motif based text editor
  NEdit is a multi-purpose text editor for the X Window System, which
