=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #DH_VERBOSE = 1
 
-VERSION = NEdit 5.6 CVS checkout release by Debian on Nov 18, 2008
+VERSION = NEdit released by Debian ($(shell head -1 debian/changelog | sed 's/.*(\(.*\)).*/\1/'))
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -39,7 +39,7 @@
 	sed -i s'/\(NEditVersion = "\).*"/\1$(VERSION)\\n"/' source/help_data.h
 
 	$(MAKE) CFLAGS="$(CFLAGS)" linux
-	$(MAKE) -C doc VERSION="NEdit $(VERSION)" all
+	$(MAKE) -C doc VERSION="$(VERSION)" all
 
 	mv doc/nc.man doc/nedit-nc.1
 	mv doc/nedit.man doc/nedit.1
