## nedit 5.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.19.4.1 2009/10/31 11:32:30 lebert Exp $
 SHELL=/bin/sh
 #
 # Makefile for NEdit text editor
@@ -29,11 +28,11 @@
 	   then ln -s ../makefiles/Makefile.$@ .; fi)
 
 	(cd util; \
-	    $(MAKE) -f Makefile.$@ verify_config && \
 	    $(MAKE) -f Makefile.$@ libNUtil.a)
 	(cd Xlt;    $(MAKE) -f Makefile.$@ libXlt.a)
 	(cd Microline/XmL;    $(MAKE) -f Makefile.$@ libXmL.a)
 	(cd source; $(MAKE) -f Makefile.$@ nedit nc)
+	@source/nedit -V
 
 # This should not be in the default build, as users may not have Perl
 # installed.  This is only interesting to developers.
@@ -56,7 +55,7 @@
 #
 # The following is for creating binary packages of NEdit.
 #
-RELEASE=nedit-5.6-`uname -s`-`uname -m`
+RELEASE=nedit-5.7-`uname -s`-`uname -m`
 BINDIST-FILES=source/nedit source/nc README COPYRIGHT ReleaseNotes doc/nedit.doc doc/nedit.html doc/nedit.man doc/nc.man doc/faq.txt
 
 dist-bin: $(BINDIST-FILES)
