=== debian/changelog ===
nedit (1:5.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1:5.3-1.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Fix day-of-week for changelog entry 5.0-3.

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Sep 2020 21:19:03 +0200

nedit (1:5.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Sun, 18 Jun 2017 21:28:51 +0200

nedit (1:5.7-1) experimental; urgency=medium

  * New upstream release
    - Drop obsolete patches (applied upstream)
    - Refresh patches
    - Upload to experimental due to the freeze
  * Bump debhelper version to 10
  * Clean spurious util/check_lin_tif + add debian/missing-sources for it

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Feb 2017 22:48:42 +0100

nedit (1:5.6a-5) unstable; urgency=medium

  * Real upload of 1:5.6a-4 (I fail to upload it)

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Sep 2016 20:20:24 +0200

nedit (1:5.6a-4) UNRELEASED; urgency=medium

  * Update desktop file to use %F instead of %U (LP: #1395437)
  * Remove menu per TC ruling
  * Remove nedit-dbg package and build with new debug framework instead
  * Add improve_no_X_font_handling.patch from upstream to avoid Nedit to
    crash when no X-font is available (LP: #1415309)
  * Replace Nedit.xpm by 128x128 pixel nedit.png
  * Update d/control with current upstream website and https for VCS-git
  * Bump Standards (no further changes)

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Sep 2016 08:53:26 +0200
