=== debian/rules ===
--- 
+++ 
@@ -64,10 +64,7 @@
 override_dh_auto_install:
 	# Nothing to do, but nedit's Makefile processes wrongly if asked
 
-override_dh_strip:
-	dh_strip --dbg-package=nedit-dbg
-
 %:
-	dh $@
+	dh $@ --ddeb-migration='nedit-dbg (<< 1:5.6a-4~)'
 
 # End of file
