=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=4

opts="uversionmangle=s#source/.*nedit-##" \
 https://sf.net/nedit/ nedit-(.*)-src\.tar\.gz debian uupate
